[git] gnupg-doc - branch, master, updated. 78016c09edb65207946c75d57de5da3e381fe807
by Justus Winter
cvs at cvs.gnupg.org
Wed Jan 18 10:58:31 CET 2017
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".
The branch, master has been updated
via 78016c09edb65207946c75d57de5da3e381fe807 (commit)
via 743a2839a5a24105a488328a1293f2e57015d0bb (commit)
from 65df8d99e68abfc323060afaff8ece55fe4af216 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 78016c09edb65207946c75d57de5da3e381fe807
Author: Justus Winter <justus at g10code.com>
Date: Wed Jan 18 10:45:47 2017 +0100
jenkins: set LD_LIBRARY_PATH for GnuPG tests
diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index cdd3d34..cc15bf4 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -101,6 +101,11 @@ case "$JOB_NAME" in
if [ "$NODE_NAME" = openbsd60 ]; then
CONFIGUREFLAGS="$CONFIGUREFLAGS --with-libiconv-prefix=/usr/local"
fi
+
+ # The libraries use rpath when linking the tests, so they
+ # locate their dependencies that way. GnuPG, however, does
+ # not. Therefore, we set LD_LIBRARY_PATH.
+ test_environment="LD_LIBRARY_PATH=$ORIGINAL_PREFIX/lib"
;;
esac
@@ -140,7 +145,7 @@ case "$XTARGET" in
CXXFLAGS="$CXXFLAGS -std=c++11"
$MAKE $MAKEFLAGS
- $MAKE -k check verbose=2 || true
+ env $test_environment $MAKE -k check verbose=2 || true
# Jenkins looks for "tests? failed" to mark a build unstable,
# hence || true here
@@ -157,7 +162,7 @@ case "$XTARGET" in
CXXFLAGS="$CXXFLAGS $SANFLAGS -fPIC -std=c++11"
$SCANBUILD $MAKE $MAKEFLAGS
- $MAKE -k check verbose=2 || true
+ env $test_environment $MAKE -k check verbose=2 || true
# Jenkins looks for "tests? failed" to mark a build unstable,
# hence || true here
@@ -215,7 +220,7 @@ case "$XTARGET" in
cd "$WORKDIR"
$abs_configure --prefix=$PREFIX --enable-maintainer-mode \
$CONFIGUREFLAGS
- $MAKE $MAKEFLAGS distcheck
+ env $test_environment $MAKE $MAKEFLAGS distcheck
# Extract the tarname from the package
tarname=$(awk <config.h '
commit 743a2839a5a24105a488328a1293f2e57015d0bb
Author: Justus Winter <justus at g10code.com>
Date: Wed Jan 18 10:40:13 2017 +0100
jenkins: dump environment right before build
diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 87f0037..cdd3d34 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -20,18 +20,6 @@ PREFIX=$HOME/prefix/$XTARGET
ORIGINAL_PREFIX=$HOME/prefix/$XTARGET
export PATH=$PREFIX/bin:$PATH
-# Print the environment.
-env
-ulimit -a
-set +x
-for f in /etc/gcrypt/hwf.deny /etc/gcrypt/fips_enabled ; do
- if [ -f "$f" ]; then
- echo "=== $f ==="
- cat -n "$f"
- fi
-done
-set -x
-
# Tweak the prefix we're installing this project into. For gnupg-1.4
# and friends.
case "$JOB_NAME" in
@@ -128,6 +116,20 @@ abs_configure="$(pwd)/configure"
mkdir -p obj
cd obj
+
+# Print the environment.
+env
+ulimit -a
+set +x
+for f in /etc/gcrypt/hwf.deny /etc/gcrypt/fips_enabled ; do
+ if [ -f "$f" ]; then
+ echo "=== $f ==="
+ cat -n "$f"
+ fi
+done
+set -x
+
+
# Switch on the different targets.
case "$XTARGET" in
native)
-----------------------------------------------------------------------
Summary of changes:
misc/jenkins/bin/build.bash | 37 ++++++++++++++++++++++---------------
1 file changed, 22 insertions(+), 15 deletions(-)
hooks/post-receive
--
The GnuPG website and other docs
http://git.gnupg.org
More information about the Gnupg-commits
mailing list